View Issue Details

IDProjectCategoryView StatusLast Update
0006381Talerlibeufin-nexuspublic2023-11-29 01:30
ReporterFlorian Dold Assigned ToMS  
PrioritylowSeverityminorReproducibilityhave not tried
Status closedResolutionwon't fix 
Target Version0.9.3Fixed in Version0.9.3 
Summary0006381: implement and test transaction identification matching for INFO->PENDING->BOOKED transition
DescriptionCurrently we don't support a transaction transitioning between these states.

In order to do this, a transaction should be marked with a foreign key column "supersededBy" that points to the newer "version" of the same transaction with a different status.

By default, the superseded transaction shouldn't be returned in the transactions list anymore. The superseded and current transaction must share some common transaction identifier.
TagsNo tags attached.

Activities

MS

2023-04-11 10:54

reporter   ~0020062

If one transaction gets from PENDING to BOOKED (becoming therefore superseded),
then this bug suggests that such transaction shows up in the list only as long as is pending.

Then, once it gets superseded by the new booked status, it won't show anymore?

If yes, why would the booked status NOT be interesting?

Christian Grothoff

2023-11-03 15:13

manager   ~0020621

For Taler, only BOOKED is interesting, we can just completely ignore PENDING for now IMO.

Issue History

Date Modified Username Field Change
2020-06-14 17:19 Florian Dold New Issue
2020-11-10 11:57 MS Target Version => 0.9.2
2021-01-14 00:26 Florian Dold Description Updated
2023-01-08 11:19 Christian Grothoff Target Version 0.9.2 => 0.9.3
2023-04-11 10:54 MS Note Added: 0020062
2023-04-11 10:54 MS Priority normal => low
2023-04-13 20:26 Florian Dold Project libeufin => Taler
2023-04-13 21:50 Florian Dold Category other => libeufin-nexus
2023-04-17 13:18 Florian Dold Target Version 0.9.3 => 0.9.5
2023-09-23 16:20 Christian Grothoff Target Version 0.9.5 => 0.9.4
2023-11-03 00:41 Christian Grothoff Assigned To => MS
2023-11-03 00:41 Christian Grothoff Status new => assigned
2023-11-03 15:13 Christian Grothoff Note Added: 0020621
2023-11-03 15:14 MS Status assigned => resolved
2023-11-03 15:14 MS Resolution open => won't fix
2023-11-29 01:28 Christian Grothoff Target Version 0.9.4 => 0.9.3
2023-11-29 01:29 Christian Grothoff Fixed in Version => 0.9.3
2023-11-29 01:30 Christian Grothoff Status resolved => closed